PyScripts Module REST API

GET /v1/rating/module_config/pyscripts/scripts

Get the script list

Parameters:
  • no_data (bool) – Set to True to remove script data from output.

  • deleted (bool) – Show deleted mappings.

  • start (datetime) – Mappings with start after date.

  • end (datetime) – Mappings with end before date.

  • updated_by (str) – user uuid to filter on.

  • created_by (str) – user uuid to filter on.

  • deleted_by (str) – user uuid to filter on.

  • description (str) – mapping that contains the text in description.

  • is_active (bool) – only active mappings.

Return:

List of every scripts.

Return type:

ScriptCollection

GET /v1/rating/module_config/pyscripts/scripts/(script_id)

Return a script.

Parameters:
  • script_id (uuid) – UUID of the script to filter on.

Return type:

Script

POST /v1/rating/module_config/pyscripts/scripts

Create pyscripts script.

Parameters:
  • force (bool) – Allows start and end in the past.

  • script_data (Script) – Informations about the script to create.

Return type:

Script

PUT /v1/rating/module_config/pyscripts/scripts

Update pyscripts script.

Parameters:
  • script_id (uuid) – UUID of the script to update.

  • script_data (Script) – Script data to update.

Return type:

Script

DELETE /v1/rating/module_config/pyscripts/scripts

Delete the script.

Parameters:
  • script_id (uuid) – UUID of the script to delete.